Summary: GUI client for Fwknop
Name: fwknop-gui
Version: 1.3.1
Release: 1%{?dist}
License: GPLv3+
URL: https://incomsystems.biz/fwknop-gui/
Source: %{url}/downloads/%{name}-%{version}.tar.gz
BuildRequires: gcc-c++ make cmake
BuildRequires: fwknop-devel
BuildRequires: wxGTK3-devel
BuildRequires: libcurl-devel
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: gpgme-devel
BuildRequires: pkgconfig(libqrencode)
BuildRequires: asciidoc

%description
Fwknop-gui is a cross platform gui that can save
and send knocks to a server running fwknopd.

%prep
%autosetup -n %{name}

%build
%cmake . -DwxWidgets_CONFIG_EXECUTABLE=%{_bindir}/wx-config-3.0
%make_build

%install
%make_install
install -p -m0644 -D %{name}.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/fwknop-gui.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%files
%license LICENSE
%dir %{_datadir}/%{name}
%doc %{_datadir}/%{name}/help.html
%doc %{_mandir}/man8/%{name}.8*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Mon Sep 05 2016 Jakub Jelen <jjelen@redhat.com> - 1.3.1-1
- New upstream release (fixing a bug in the QR code prompt)

* Wed Aug 10 2016 Jakub Jelen <jjelen@redhat.com> - 1.3-2
- Packaging tweaks

* Fri Aug 05 2016 Jakub Jelen <jjelen@redhat.com> - 1.3-1
- Initial release
